#
# spec file for package ghc-base-unicode-symbols
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name base-unicode-symbols
Name:           ghc-%{pkg_name}
Version:        0.2.2.4
Release:        lp150.1.8
Summary:        Unicode alternatives for common functions and operators
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
This package defines new symbols for a number of functions, operators and types
in the base package.

All symbols are documented with their actual definition and information
regarding their Unicode code point. They should be completely interchangeable
with their definitions.

For further Unicode goodness you can enable the 'UnicodeSyntax' language
extension [1]. This extension enables Unicode characters to be used to stand
for certain ASCII character sequences, i.e. &#x2192; instead of '->', &#x2200;
instead of 'forall' and many others.

Original idea by P&#xE9;ter Divi&#xE1;nszky.

[1]
<http://www.haskell.org/ghc/docs/latest/html/users_guide/syntax-extns.html#unicode-syntax>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc README.markdown

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.2.2.4 revision 0 with cabal2obs.
* Sun Dec 29 2013 peter.trommler@ohm-hochschule.de
- regenerate spec file for new packaging
* Wed Sep 19 2012 herbert@graeber-clan.de
- Initial package
